Homeworks P5 'failed to resolve dependencies' problem

I have had a working site using the Lutron P5 module for some time now. It was initially installed with the version 2 Netlinx Studio. I have since returned to the site, and have installed the version 3 Netlinx Studio.

No code has been changed, but the Lutron P5 module won't work. Everything compiles and downloads properly, and during boot with diagnostics enabled, I get this:'

Line 185 (21:26:46):: Device Access: DeviceAccess.loadDrivers - failed to resolve dependencies for /bundle/LutronHomeWorksP5_dr1_0_117

How in the heck do I figure out what dependencies aren't resolving?

I'm using version 1.0.7 of the P5 module, by the way.

Also, where in the world did the P5 Duet module go on the AMX site? I can't find it anywhere!

Thanks for any help in advance.

Chuck

Comments

  • Joe HebertJoe Hebert Junior Member Posts: 2,154
    chuckd wrote: »
    I have had a working site using the Lutron P5 module for some time now. It was initially installed with the version 2 Netlinx Studio. I have since returned to the site, and have installed the version 3 Netlinx Studio.

    No code has been changed, but the Lutron P5 module won't work.
    You may need to upgrade the firmware of you Netlinx master.

    When you installed NS3 you probably also got the latest version of SNAPI (either 14 or 15) and I?m pretty sure anything 14 or better requires firmware .422 or better.
    At least that?s what I?ve got in my notes from the Duet class I was in last week.
    If someone knows better please correct me.
  • chuckdchuckd Junior Member Posts: 26
    Yep, you got it. I had version .414. The upgrade to .422 fixed it!

    Awesome, thanks.

    Chuck
Sign In or Register to comment.